Package ru.bitel.bgbilling.modules.bill.common.bean

# Class BankAccount

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.bill.common.bean.BankAccount

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class BankAccount extends IdTitle
Замена для bitel.billing.server.bill.bean.Account. Пока два класса, для 6.2-7.0.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BankAccount()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAccount()`
  `String`
  `getBankIdentificationCode()`
  `String`
  `getBankTitle()`
  `String`
  `getComment()`
  `String`
  `getCorrespondentAccount()`
  `long`
  `getGroupMask()`
  `int`
  `getOrganizationId()`
  `String`
  `getPaymentType()`
  `int`
  `getPaymentTypeId()`
  `boolean`
  `isDefaultAccount()`
  `boolean`
  `isInUse()`
  `BankAccount`
  `setAccount(String account)`
  `BankAccount`
  `setBankIdentificationCode(String bik)`
  `BankAccount`
  `setBankTitle(String bankTitle)`
  `BankAccount`
  `setComment(String comment)`
  `BankAccount`
  `setCorrespondentAccount(String correspondentAccount)`
  `BankAccount`
  `setDefaultAccount(boolean defaultAccount)`
  `BankAccount`
  `setGroupMask(long groupMask)`
  `BankAccount`
  `setId(int id)`
  Устанавливает id объекта
  `BankAccount`
  `setInUse(boolean inUse)`
  `BankAccount`
  `setOrganizationId(int organizationId)`
  `BankAccount`
  `setPaymentType(String paymentType)`
  `BankAccount`
  `setPaymentTypeId(int pid)`
  `BankAccount`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### BankAccount

    public BankAccount()

- ## Method Details

  - ### getAccount

    public String getAccount()

  - ### getBankIdentificationCode

    public String getBankIdentificationCode()

  - ### getBankTitle

    public String getBankTitle()

  - ### getComment

    public String getComment()

  - ### getCorrespondentAccount

    public String getCorrespondentAccount()

  - ### getGroupMask

    public long getGroupMask()

  - ### getOrganizationId

    public int getOrganizationId()

  - ### getPaymentType

    public String getPaymentType()

  - ### getPaymentTypeId

    public int getPaymentTypeId()

  - ### isDefaultAccount

    public boolean isDefaultAccount()

  - ### isInUse

    public boolean isInUse()

  - ### setAccount

    public BankAccount setAccount(String account)

  - ### setBankIdentificationCode

    public BankAccount setBankIdentificationCode(String bik)

  - ### setBankTitle

    public BankAccount setBankTitle(String bankTitle)

  - ### setComment

    public BankAccount setComment(String comment)

  - ### setCorrespondentAccount

    public BankAccount setCorrespondentAccount(String correspondentAccount)

  - ### setDefaultAccount

    public BankAccount setDefaultAccount(boolean defaultAccount)

  - ### setGroupMask

    public BankAccount setGroupMask(long groupMask)

  - ### setId

    public BankAccount setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setInUse

    public BankAccount setInUse(boolean inUse)

  - ### setOrganizationId

    public BankAccount setOrganizationId(int organizationId)

  - ### setPaymentType

    public BankAccount setPaymentType(String paymentType)

  - ### setPaymentTypeId

    public BankAccount setPaymentTypeId(int pid)

  - ### setTitle

    public BankAccount setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`